View Issue Details

IDProjectCategoryView StatusLast Update
14700Bug reports[All Projects] Survey takingpublic2019-05-29 16:12
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version3.17.x 
Summary14700: DbHttpSession brok (mariadb) with data too long
Description

Some survey broke with data too long on some server config ? With mariaDB as SQL server.

CDbCommand failed to execute the SQL statement: SQLSTATE[22001]: String data, right truncated: 1406 Data too long for column 'data' at row 1. The SQL statement executed was: UPDATE 'lime_sessions' SET 'data'=:data, 'expire'=:expire WHERE id=:id

(updating quote to don't use markdown quote)

Steps To Reproduce

Import included survey,
Activate
Test : see what happen (ajax mode : come back to same page)
Activate debug mode : look at end of page

Additional Information

Maybe all in one page ? But seems clearly an issue here …

$ git reset --hard origin/master
HEAD est maintenant à 6c8268b39f Dev: Fix some smaller issues with the adminbasics script
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.16.1 github
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Version10.3.12-MariaDB - MariaDB Server
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx/1.14.2
PHP Version7.2.16

Activities

DenisChenu

DenisChenu

2019-03-28 10:11

developer  

Question inside survey inside.html (33,668 bytes)
survey_archive_922698.lsa (4,410 bytes)
lime_sessions.sql (79,250 bytes)
DenisChenu

DenisChenu

2019-03-28 10:19

developer   ~51181

Last edited: 2019-03-28 10:20

View 2 revisions

The data of the session
Set data column to LongBlob (1.96 GB) fix the issue .



thedataOfSession.txt (74,864 bytes)
_lang|s:2:"en";adminlang|s:2:"fr";LSWebUser|a:5:{s:11:"__returnUrl";s:84:"/master/admin/survey/sa/rendersidemenulink/subaction/generalsettings/surveyid/922698";s:4:"__id";s:1:"1";s:6:"__name";s:10:"DenisChenu";s:8:"__states";a:0:{}s:6:"plugin";s:6:"Authdb";}LSNAVSTACK|a:5:{i:0;s:67:"http://limesurvey.local/master/admin/survey/sa/view/surveyid/922698";i:1;s:71:"http://limesurvey.local/master/admin/survey/sa/activate/surveyid/922698";i:2;s:80:"http://limesurvey.local/master/admin/expressions/sa/survey_logic_file/sid/922698";i:3;s:67:"http://limesurvey.local/master/admin/survey/sa/view/surveyid/922698";i:4;s:67:"http://limesurvey.local/master/admin/survey/sa/view/surveyid/922698";}loginID|i:1;user|s:10:"DenisChenu";full_name|s:13:"Administrator";htmleditormode|s:5:"popup";templateeditormode|s:4:"full";questionselectormode|s:4:"full";dateformat|s:1:"1";session_hash|s:64:"9e9c45ae865ceb63712bf1087daafa5bed3e4c0917fdb3aedce7aa6bdffc5043";just_logged_in|b:1;loginsummary|s:83:"<p><font size="1"><i>Actualisation de l'écran. Veuillez patienter.</i></font>";LEMsid|s:6:"922698";LEMlang|s:2:"en";fieldmap-922698en|a:10:{s:2:"id";a:9:{s:9:"fieldname";s:2:"id";s:3:"sid";s:6:"922698";s:4:"type";s:2:"id";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:11:"Response ID";s:10:"group_name";s:0:"";}s:10:"submitdate";a:9:{s:9:"fieldname";s:10:"submitdate";s:4:"type";s:10:"submitdate";s:3:"sid";s:6:"922698";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:14:"Date submitted";s:10:"group_name";s:0:"";}s:8:"lastpage";a:9:{s:9:"fieldname";s:8:"lastpage";s:3:"sid";s:6:"922698";s:4:"type";s:8:"lastpage";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:9:"Last page";s:10:"group_name";s:0:"";}s:13:"startlanguage";a:9:{s:9:"fieldname";s:13:"startlanguage";s:3:"sid";s:6:"922698";s:4:"type";s:13:"startlanguage";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:14:"Start language";s:10:"group_name";s:0:"";}s:4:"seed";a:9:{s:9:"fieldname";s:4:"seed";s:3:"sid";s:6:"922698";s:4:"type";s:4:"seed";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:4:"Seed";s:10:"group_name";s:0:"";}s:15:"922698X458X6141";a:19:{s:9:"fieldname";s:15:"922698X458X6141";s:4:"type";s:1:"S";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6141";s:3:"aid";s:0:"";s:5:"title";s:9:"ShortText";s:8:"question";s:12:"A short text";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:0;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:29:"This is a question help text.";}s:15:"922698X458X6142";a:19:{s:9:"fieldname";s:15:"922698X458X6142";s:4:"type";s:1:"L";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6142";s:3:"aid";s:0:"";s:5:"title";s:12:"SingleChoice";s:8:"question";s:15:"Single choice 1";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"N";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:1;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6143";a:19:{s:9:"fieldname";s:15:"922698X458X6143";s:4:"type";s:1:"!";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6143";s:3:"aid";s:0:"";s:5:"title";s:13:"SingleChoice2";s:8:"question";s:15:"Single choice 2";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:2;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6144";a:19:{s:9:"fieldname";s:15:"922698X458X6144";s:4:"type";s:1:"*";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6144";s:3:"aid";s:0:"";s:5:"title";s:8:"Equation";s:8:"question";s:8:"Equation";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:3;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6145";a:19:{s:9:"fieldname";s:15:"922698X458X6145";s:4:"type";s:1:"S";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6145";s:3:"aid";s:0:"";s:5:"title";s:13:"extraSurveyId";s:8:"question";s:0:"";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"N";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:4;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}}notificationstate|i:1;next_update_check|O:8:"DateTime":3:{s:4:"date";s:26:"2019-03-29 09:03:25.775042";s:13:"timezone_type";i:3;s:8:"timezone";s:3:"UTC";}update_result|b:0;unstable_update|b:0;survey_922698|a:24:{s:6:"s_lang";s:2:"en";s:6:"refurl";s:67:"http://limesurvey.local/master/admin/survey/sa/view/surveyid/922698";s:14:"fieldnamesInfo";a:5:{s:15:"922698X458X6141";s:15:"922698X458X6141";s:15:"922698X458X6142";s:15:"922698X458X6142";s:15:"922698X458X6143";s:15:"922698X458X6143";s:15:"922698X458X6144";s:15:"922698X458X6144";s:15:"922698X458X6145";s:15:"922698X458X6145";}s:9:"grouplist";a:1:{i:0;a:3:{s:3:"gid";s:3:"458";s:10:"group_name";s:23:"My first question group";s:11:"description";s:0:"";}}s:14:"totalquestions";i:4;s:10:"totalsteps";i:1;s:11:"insertarray";a:11:{i:0;s:5:"token";i:1;s:15:"922698X458X6141";i:2;s:15:"922698X458X6142";i:3;s:15:"922698X458X6143";i:4;s:15:"922698X458X6144";i:5;s:15:"922698X458X6145";i:6;s:15:"922698X458X6141";i:7;s:15:"922698X458X6142";i:8;s:15:"922698X458X6143";i:9;s:15:"922698X458X6144";i:10;s:15:"922698X458X6145";}s:8:"fieldmap";a:10:{s:2:"id";a:9:{s:9:"fieldname";s:2:"id";s:3:"sid";s:6:"922698";s:4:"type";s:2:"id";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:11:"Response ID";s:10:"group_name";s:0:"";}s:10:"submitdate";a:9:{s:9:"fieldname";s:10:"submitdate";s:4:"type";s:10:"submitdate";s:3:"sid";s:6:"922698";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:14:"Date submitted";s:10:"group_name";s:0:"";}s:8:"lastpage";a:9:{s:9:"fieldname";s:8:"lastpage";s:3:"sid";s:6:"922698";s:4:"type";s:8:"lastpage";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:9:"Last page";s:10:"group_name";s:0:"";}s:13:"startlanguage";a:9:{s:9:"fieldname";s:13:"startlanguage";s:3:"sid";s:6:"922698";s:4:"type";s:13:"startlanguage";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:14:"Start language";s:10:"group_name";s:0:"";}s:4:"seed";a:9:{s:9:"fieldname";s:4:"seed";s:3:"sid";s:6:"922698";s:4:"type";s:4:"seed";s:3:"gid";s:0:"";s:3:"qid";s:0:"";s:3:"aid";s:0:"";s:5:"title";s:0:"";s:8:"question";s:4:"Seed";s:10:"group_name";s:0:"";}s:15:"922698X458X6141";a:19:{s:9:"fieldname";s:15:"922698X458X6141";s:4:"type";s:1:"S";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6141";s:3:"aid";s:0:"";s:5:"title";s:9:"ShortText";s:8:"question";s:12:"A short text";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:0;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:29:"This is a question help text.";}s:15:"922698X458X6142";a:19:{s:9:"fieldname";s:15:"922698X458X6142";s:4:"type";s:1:"L";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6142";s:3:"aid";s:0:"";s:5:"title";s:12:"SingleChoice";s:8:"question";s:15:"Single choice 1";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"N";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:1;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6143";a:19:{s:9:"fieldname";s:15:"922698X458X6143";s:4:"type";s:1:"!";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6143";s:3:"aid";s:0:"";s:5:"title";s:13:"SingleChoice2";s:8:"question";s:15:"Single choice 2";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:2;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6144";a:19:{s:9:"fieldname";s:15:"922698X458X6144";s:4:"type";s:1:"*";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6144";s:3:"aid";s:0:"";s:5:"title";s:8:"Equation";s:8:"question";s:8:"Equation";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"Y";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:3;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}s:15:"922698X458X6145";a:19:{s:9:"fieldname";s:15:"922698X458X6145";s:4:"type";s:1:"S";s:3:"sid";s:6:"922698";s:3:"gid";s:3:"458";s:3:"qid";s:4:"6145";s:3:"aid";s:0:"";s:5:"title";s:13:"extraSurveyId";s:8:"question";s:0:"";s:10:"group_name";s:23:"My first question group";s:9:"mandatory";s:1:"N";s:13:"hasconditions";s:1:"N";s:16:"usedinconditions";s:1:"N";s:11:"questionSeq";i:4;s:8:"groupSeq";i:0;s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:4:"preg";s:0:"";s:5:"other";s:1:"N";s:4:"help";s:0:"";}}s:10:"fieldarray";a:5:{s:15:"922698X458X6141";a:9:{i:0;s:4:"6141";i:1;s:15:"922698X458X6141";i:2;s:9:"ShortText";i:3;s:12:"A short text";i:4;s:1:"S";i:5;s:3:"458";i:6;s:1:"Y";i:7;s:1:"N";i:8;s:1:"N";}s:15:"922698X458X6142";a:9:{i:0;s:4:"6142";i:1;s:15:"922698X458X6142";i:2;s:12:"SingleChoice";i:3;s:15:"Single choice 1";i:4;s:1:"L";i:5;s:3:"458";i:6;s:1:"N";i:7;s:1:"N";i:8;s:1:"N";}s:15:"922698X458X6143";a:9:{i:0;s:4:"6143";i:1;s:15:"922698X458X6143";i:2;s:13:"SingleChoice2";i:3;s:15:"Single choice 2";i:4;s:1:"!";i:5;s:3:"458";i:6;s:1:"Y";i:7;s:1:"N";i:8;s:1:"N";}s:15:"922698X458X6144";a:9:{i:0;s:4:"6144";i:1;s:15:"922698X458X6144";i:2;s:8:"Equation";i:3;s:8:"Equation";i:4;s:1:"*";i:5;s:3:"458";i:6;s:1:"Y";i:7;s:1:"N";i:8;s:1:"N";}s:15:"922698X458X6145";a:9:{i:0;s:4:"6145";i:1;s:15:"922698X458X6145";i:2;s:13:"extraSurveyId";i:3;s:0:"";i:4;s:1:"S";i:5;s:3:"458";i:6;s:1:"N";i:7;s:1:"N";i:8;s:1:"N";}}s:14:"startingValues";a:1:{s:4:"seed";i:1182735718;}s:10:"groupReMap";a:0:{}s:13:"LEMdebugLevel";i:0;s:4:"step";i:2;s:15:"relevanceStatus";a:6:{i:6141;b:1;s:2:"G0";i:1;i:6142;b:1;i:6143;b:1;i:6144;b:1;i:6145;b:1;}s:15:"922698X458X6141";N;s:15:"922698X458X6142";N;s:15:"922698X458X6143";N;s:15:"922698X458X6144";s:1:"-";s:15:"922698X458X6145";N;s:9:"datestamp";s:19:"2019-03-28 09:15:31";s:4:"srid";s:2:"19";s:7:"maxstep";i:2;s:8:"prevstep";i:-1;s:10:"LEMpostKey";i:1498287737;}LEMsingleton|s:63980:"O:21:"LimeExpressionManager":54:{s:25:"LimeExpressionManagerem";O:17:"ExpressionManager":27:{s:38:"ExpressionManagerRDP_ExpressionRegex";s:15:"#({|}|'|"|\\)#i";s:32:"ExpressionManagerRDP_TokenType";a:16:{i:0;s:9:"DQ_STRING";i:1;s:9:"SQ_STRING";i:2;s:5:"SPACE";i:3;s:2:"LP";i:4;s:2:"RP";i:5;s:5:"COMMA";i:6;s:6:"AND_OR";i:7;s:7:"COMPARE";i:8;s:4:"SGQA";i:9;s:4:"WORD";i:10;s:6:"NUMBER";i:11;s:3:"NOT";i:12;s:5:"OTHER";i:13;s:6:"ASSIGN";i:14;s:8:"BINARYOP";i:15;s:5:"OTHER";}s:37:"ExpressionManagerRDP_TokenizerRegex";s:597:"#((?<!--\\)".*?(?<!\\)"|(?<!\\)'.*?(?<!\\)'|\s+|\(|\)|,|\band\b|\bor\b|&&|\|\||<=|<|-->=|&gt;|==|!=|\ble\b|\blt\b|\bge\b|\bgt\b|\beq\b|\bne\b|(?:INSERTANS:)?[0-9]+X[0-9]+X[0-9]+[A-Z0-9_]*\#?[01]?(?:\.(?:code|gid|grelevance|gseq|jsName|mandatory|NAOK|qid|qseq|question|readWrite|relevanceStatus|relevance|rowdivid|sgqa|shown|type|valueNAOK|value))?|(?:TOKEN:)?(?:[A-Z][A-Z0-9_]*)?(?:\.(?:[A-Z][A-Z0-9_]*))*(?:\.(?:code|gid|grelevance|gseq|jsName|mandatory|NAOK|qid|qseq|question|readWrite|relevanceStatus|relevance|rowdivid|sgqa|shown|type|valueNAOK|value))?|[0-9]+\.?[0-9]*|\.[0-9]+|!|\+\+|--|=|[+*/-])#i";s:44:"ExpressionManagerRDP_CategorizeTokensRegex";a:16:{i:0;s:24:"#^(?<!--\\)".*?(?<!\\)"$#i";i:1;s:24:"#^(?<!\\)'.*?(?<!\\)'$#i";i:2;s:8:"#^\s+$#i";i:3;s:7:"#^\($#i";i:4;s:7:"#^\)$#i";i:5;s:6:"#^,$#i";i:6;s:27:"#^\band\b|\bor\b|&&|\|\|$#i";i:7;s:62:"#^<=|<|-->=|&gt;|==|!=|\ble\b|\blt\b|\bge\b|\bgt\b|\beq\b|\bne\b$#i";i:8;s:210:"#^(?:INSERTANS:)?[0-9]+X[0-9]+X[0-9]+[A-Z0-9_]*\#?[01]?(?:\.(?:code|gid|grelevance|gseq|jsName|mandatory|NAOK|qid|qseq|question|readWrite|relevanceStatus|relevance|rowdivid|sgqa|shown|type|valueNAOK|value))?$#i";i:9;s:214:"#^(?:TOKEN:)?(?:[A-Z][A-Z0-9_]*)?(?:\.(?:[A-Z][A-Z0-9_]*))*(?:\.(?:code|gid|grelevance|gseq|jsName|mandatory|NAOK|qid|qseq|question|readWrite|relevanceStatus|relevance|rowdivid|sgqa|shown|type|valueNAOK|value))?$#i";i:10;s:29:"#^[0-9]+\.?[0-9]*|\.[0-9]+$#i";i:11;s:6:"#^!$#i";i:12;s:12:"#^\+\+|--$#i";i:13;s:6:"#^=$#i";i:14;s:11:"#^[+*/-]$#i";i:15;s:4:"/.+/";}s:37:"ExpressionManagerRDP_ValidFunctions";a:80:{s:3:"abs";a:6:{i:0;s:3:"abs";i:1;s:17:"Decimal.asNum.abs";i:2;s:14:"Valeur absolue";i:3;s:18:"number abs(number)";i:4;s:18:"http://php.net/abs";i:5;i:1;}s:4:"acos";a:6:{i:0;s:4:"acos";i:1;s:18:"Decimal.asNum.acos";i:2;s:11:"Arc cosinus";i:3;s:19:"number acos(number)";i:4;s:19:"http://php.net/acos";i:5;i:1;}s:10:"addslashes";a:6:{i:0;s:10:"addslashes";i:1;s:10:"addslashes";i:2;s:25:"Quote string with slashes";i:3;s:25:"string addslashes(string)";i:4;s:25:"http://php.net/addslashes";i:5;i:1;}s:4:"asin";a:6:{i:0;s:4:"asin";i:1;s:18:"Decimal.asNum.asin";i:2;s:9:"Arc sinus";i:3;s:19:"number asin(number)";i:4;s:19:"http://php.net/asin";i:5;i:1;}s:4:"atan";a:6:{i:0;s:4:"atan";i:1;s:18:"Decimal.asNum.atan";i:2;s:12:"Arc tangente";i:3;s:19:"number atan(number)";i:4;s:19:"http://php.net/atan";i:5;i:1;}s:5:"atan2";a:6:{i:0;s:5:"atan2";i:1;s:19:"Decimal.asNum.atan2";i:2;s:30:"Arc tangente de deux variables";i:3;s:28:"number atan2(number, number)";i:4;s:20:"http://php.net/atan2";i:5;i:2;}s:4:"ceil";a:6:{i:0;s:4:"ceil";i:1;s:18:"Decimal.asNum.ceil";i:2;s:41:"Arrondit la fraction au nombre supérieur";i:3;s:19:"number ceil(number)";i:4;s:19:"http://php.net/ceil";i:5;i:1;}s:9:"checkdate";a:6:{i:0;s:9:"checkdate";i:1;s:9:"checkdate";i:2;s:67:"Retourne vrai() si la date est valide dans le calendrier grégorien";i:3;s:30:"bool checkdate(month,day,year)";i:4;s:24:"http://php.net/checkdate";i:5;i:3;}s:3:"cos";a:6:{i:0;s:3:"cos";i:1;s:17:"Decimal.asNum.cos";i:2;s:7:"Cosinus";i:3;s:18:"number cos(number)";i:4;s:18:"http://php.net/cos";i:5;i:1;}s:5:"count";a:6:{i:0;s:13:"exprmgr_count";i:1;s:8:"LEMcount";i:2;s:55:"Compter le nombre de questions répondues dans la liste";i:3;s:34:"number count(arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-1;}s:7:"countif";a:6:{i:0;s:15:"exprmgr_countif";i:1;s:10:"LEMcountif";i:2;s:92:"Compter dans la liste le nombre de questions répondues qui sont égales au premier argument";i:3;s:45:"number countif(matches, arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-2;}s:9:"countifop";a:6:{i:0;s:17:"exprmgr_countifop";i:1;s:12:"LEMcountifop";i:2;s:101:"Compter dans la liste le nombre de questions répondues qui correspondent au critère (valeur arg op)";i:3;s:49:"number countifop(op, value, arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-3;}s:4:"date";a:7:{i:0;s:12:"exprmgr_date";i:1;s:4:"date";i:2;s:32:"Formater une date locale / heure";i:3;s:40:"string date(format [, timestamp=time()])";i:4;s:19:"http://php.net/date";i:5;i:1;i:6;i:2;}s:3:"exp";a:6:{i:0;s:3:"exp";i:1;s:17:"Decimal.asNum.exp";i:2;s:25:"Calcule l’exposant de e";i:3;s:18:"number exp(number)";i:4;s:18:"http://php.net/exp";i:5;i:1;}s:6:"fixnum";a:6:{i:0;s:14:"exprmgr_fixnum";i:1;s:9:"LEMfixnum";i:2;s:67:"Afficher les nombres avec des virgules comme séparateur, au besoin";i:3;s:21:"string fixnum(number)";i:4;s:0:"";i:5;i:1;}s:5:"floor";a:6:{i:0;s:5:"floor";i:1;s:19:"Decimal.asNum.floor";i:2;s:34:"Arrondit les fractions vers le bas";i:3;s:20:"number floor(number)";i:4;s:20:"http://php.net/floor";i:5;i:1;}s:6:"gmdate";a:7:{i:0;s:6:"gmdate";i:1;s:6:"gmdate";i:2;s:29:"Formater une date GMT / heure";i:3;s:42:"string gmdate(format [, timestamp=time()])";i:4;s:21:"http://php.net/gmdate";i:5;i:1;i:6;i:2;}s:18:"html_entity_decode";a:6:{i:0;s:18:"html_entity_decode";i:1;s:18:"html_entity_decode";i:2;s:96:"Convertit toutes les entités HTML en caractères normaux (et utilise toujours ENT_QUOTES UTF-8)";i:3;s:33:"string html_entity_decode(string)";i:4;s:33:"http://php.net/html-entity-decode";i:5;i:1;}s:12:"htmlentities";a:6:{i:0;s:12:"htmlentities";i:1;s:12:"htmlentities";i:2;s:99:"Convertit tous les caractères applicables aux entités HTML (utilise toujours ENT_QUOTES et UTF-8)";i:3;s:27:"string htmlentities(string)";i:4;s:27:"http://php.net/htmlentities";i:5;i:1;}s:16:"htmlspecialchars";a:6:{i:0;s:25:"expr_mgr_htmlspecialchars";i:1;s:16:"htmlspecialchars";i:2;s:91:"Convertit les caractères spéciaux en entités HTML (utilise toujours ENT_QUOTES et UTF-8)";i:3;s:31:"string htmlspecialchars(string)";i:4;s:31:"http://php.net/htmlspecialchars";i:5;i:1;}s:23:"htmlspecialchars_decode";a:6:{i:0;s:32:"expr_mgr_htmlspecialchars_decode";i:1;s:23:"htmlspecialchars_decode";i:2;s:92:"Convertir les entités HTML spéciales en caractères (utilise toujours ENT_QUOTES et UTF-8)";i:3;s:38:"string htmlspecialchars_decode(string)";i:4;s:38:"http://php.net/htmlspecialchars-decode";i:5;i:1;}s:5:"idate";a:7:{i:0;s:5:"idate";i:1;s:5:"idate";i:2;s:42:"Formater une date / heure locale en entier";i:3;s:41:"string idate(string [, timestamp=time()])";i:4;s:20:"http://php.net/idate";i:5;i:1;i:6;i:2;}s:2:"if";a:7:{i:0;s:10:"exprmgr_if";i:1;s:5:"LEMif";i:2;s:23:"Traitement conditionnel";i:3;s:46:"if(test,result_if_true[,result_if_false = ''])";i:4;s:0:"";i:5;i:2;i:6;i:3;}s:7:"implode";a:6:{i:0;s:15:"exprmgr_implode";i:1;s:10:"LEMimplode";i:2;s:50:"Joindre les éléments du tableau avec une chaîne";i:3;s:39:"string implode(glue,arg1,arg2,...,argN)";i:4;s:22:"http://php.net/implode";i:5;i:-2;}s:6:"intval";a:7:{i:0;s:6:"intval";i:1;s:9:"LEMintval";i:2;s:55:"Trouve la partie entière de la valeur d’une variable";i:3;s:30:"int intval(number [, base=10])";i:4;s:21:"http://php.net/intval";i:5;i:1;i:6;i:2;}s:8:"is_empty";a:6:{i:0;s:13:"exprmgr_empty";i:1;s:8:"LEMempty";i:2;s:54:"Détermine si une variable est considérée comme vide";i:3;s:18:"bool is_empty(var)";i:4;s:20:"http://php.net/empty";i:5;i:1;}s:8:"is_float";a:6:{i:0;s:8:"is_float";i:1;s:11:"LEMis_float";i:2;s:75:"Trouve si le type d’une variable est float (nombre à virgule flottante).";i:3;s:18:"bool is_float(var)";i:4;s:23:"http://php.net/is-float";i:5;i:1;}s:6:"is_int";a:6:{i:0;s:11:"exprmgr_int";i:1;s:9:"LEMis_int";i:2;s:71:"Vérifier si le contenu d’une variable est une valeur entière valide";i:3;s:16:"bool is_int(var)";i:4;s:21:"http://php.net/is-int";i:5;i:1;}s:6:"is_nan";a:6:{i:0;s:6:"is_nan";i:1;s:5:"isNaN";i:2;s:51:"Trouve si une valeur n’est pas un number (nombre)";i:3;s:16:"bool is_nan(var)";i:4;s:21:"http://php.net/is-nan";i:5;i:1;}s:7:"is_null";a:6:{i:0;s:7:"is_null";i:1;s:10:"LEMis_null";i:2;s:31:"Trouve si une variable est NULL";i:3;s:17:"bool is_null(var)";i:4;s:22:"http://php.net/is-null";i:5;i:1;}s:10:"is_numeric";a:6:{i:0;s:10:"is_numeric";i:1;s:13:"LEMis_numeric";i:2;s:62:"Trouve si une variable est un nombre ou une chaîne numérique";i:3;s:20:"bool is_numeric(var)";i:4;s:25:"http://php.net/is-numeric";i:5;i:1;}s:9:"is_string";a:6:{i:0;s:9:"is_string";i:1;s:12:"LEMis_string";i:2;s:46:"Trouve si le type d’une variable est chaîne";i:3;s:19:"bool is_string(var)";i:4;s:24:"http://php.net/is-string";i:5;i:1;}s:4:"join";a:6:{i:0;s:12:"exprmgr_join";i:1;s:7:"LEMjoin";i:2;s:113:"Rassemble des chaînes, retourne la chaîne assemblée. Cette fonction est un alias de implode("",argN)";i:3;s:31:"string join(arg1,arg2,...,argN)";i:4;s:0:"";i:5;i:-1;}s:4:"list";a:6:{i:0;s:12:"exprmgr_list";i:1;s:7:"LEMlist";i:2;s:58:"Retourne une liste des valeurs séparées par des virgules";i:3;s:33:"string list(arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-2;}s:8:"listifop";a:6:{i:0;s:16:"exprmgr_listifop";i:1;s:11:"LEMlistifop";i:2;s:86:"Return a list of retAttr from sgqa1...sgqaN which pass the criteria (cmpAttr op value)";i:3;s:74:"string listifop(cmpAttr, op, value, retAttr, glue, sgqa1, sgqa2,...,sgqaN)";i:4;s:0:"";i:5;i:-6;}s:3:"log";a:6:{i:0;s:11:"exprmgr_log";i:1;s:6:"LEMlog";i:2;s:112:"Retourne le logarithme du nombre en base 10 s’il existe, sinon retourne le logarithme naturel (ou népérien).";i:3;s:25:"number log(number,base=e)";i:4;s:18:"http://php.net/log";i:5;i:-2;}s:5:"ltrim";a:7:{i:0;s:5:"ltrim";i:1;s:5:"ltrim";i:2;s:85:"Supprime les espaces invisibles (ou des autres caractères) au début d’une chaîne";i:3;s:33:"string ltrim(string [, charlist])";i:4;s:20:"http://php.net/ltrim";i:5;i:1;i:6;i:2;}s:3:"max";a:6:{i:0;s:3:"max";i:1;s:17:"Decimal.asNum.max";i:2;s:25:"Trouver la valeur maximum";i:3;s:32:"number max(arg1, arg2, ... argN)";i:4;s:18:"http://php.net/max";i:5;i:-2;}s:3:"min";a:6:{i:0;s:3:"min";i:1;s:17:"Decimal.asNum.min";i:2;s:25:"Trouver la valeur minimum";i:3;s:32:"number min(arg1, arg2, ... argN)";i:4;s:18:"http://php.net/min";i:5;i:-2;}s:6:"mktime";a:12:{i:0;s:14:"exprmgr_mktime";i:1;s:6:"mktime";i:2;s:80:"Retourne le timestamp UNIX d’une date (chacun des 6 arguments sont optionnels)";i:3;s:71:"number mktime([hour [, minute [, second [, month [, day [, year ]]]]]])";i:4;s:21:"http://php.net/mktime";i:5;i:0;i:6;i:1;i:7;i:2;i:8;i:3;i:9;i:4;i:10;i:5;i:11;i:6;}s:5:"nl2br";a:7:{i:0;s:5:"nl2br";i:1;s:5:"nl2br";i:2;s:71:"Insère un saut de ligne HTML à chaque nouvelle ligne dans une chaîne";i:3;s:20:"string nl2br(string)";i:4;s:20:"http://php.net/nl2br";i:5;i:1;i:6;i:1;}s:13:"number_format";a:6:{i:0;s:13:"number_format";i:1;s:13:"number_format";i:2;s:41:"Formate un nombre en groupant les miliers";i:3;s:28:"string number_format(number)";i:4;s:28:"http://php.net/number-format";i:5;i:1;}s:2:"pi";a:6:{i:0;s:2:"pi";i:1;s:5:"LEMpi";i:2;s:27:"Récupérer la valeur de pi";i:3;s:11:"number pi()";i:4;s:0:"";i:5;i:0;}s:3:"pow";a:6:{i:0;s:3:"pow";i:1;s:17:"Decimal.asNum.pow";i:2;s:24:"Expression exponentielle";i:3;s:21:"number pow(base, exp)";i:4;s:18:"http://php.net/pow";i:5;i:2;}s:23:"quoted_printable_decode";a:6:{i:0;s:23:"quoted_printable_decode";i:1;s:23:"quoted_printable_decode";i:2;s:56:"Convertir une chaîne quoted-printable en chaîne 8 bits";i:3;s:38:"string quoted_printable_decode(string)";i:4;s:38:"http://php.net/quoted-printable-decode";i:5;i:1;}s:23:"quoted_printable_encode";a:6:{i:0;s:23:"quoted_printable_encode";i:1;s:23:"quoted_printable_encode";i:2;s:68:"Conversion d’une chaîne à 8 bits en une chaîne quoted-printable";i:3;s:38:"string quoted_printable_encode(string)";i:4;s:38:"http://php.net/quoted-printable-encode";i:5;i:1;}s:9:"quotemeta";a:6:{i:0;s:9:"quotemeta";i:1;s:9:"quotemeta";i:2;s:23:"Citer méta-caractères";i:3;s:24:"string quotemeta(string)";i:4;s:24:"http://php.net/quotemeta";i:5;i:1;}s:4:"rand";a:7:{i:0;s:4:"rand";i:1;s:4:"rand";i:2;s:36:"Génère un nombre entier aléatoire";i:3;s:32:"int rand() OR int rand(min, max)";i:4;s:19:"http://php.net/rand";i:5;i:0;i:6;i:2;}s:10:"regexMatch";a:6:{i:0;s:18:"exprmgr_regexMatch";i:1;s:13:"LEMregexMatch";i:2;s:59:"Compare une chaîne à un masque d’expression régulière";i:3;s:30:"bool regexMatch(pattern,input)";i:4;s:0:"";i:5;i:2;}s:5:"round";a:7:{i:0;s:5:"round";i:1;s:5:"round";i:2;s:46:"Arrondit un nombre à une précision en option";i:3;s:31:"number round(val [, precision])";i:4;s:20:"http://php.net/round";i:5;i:1;i:6;i:2;}s:5:"rtrim";a:7:{i:0;s:5:"rtrim";i:1;s:5:"rtrim";i:2;s:85:"Supprime les espaces invisibles (ou d’autres caractères) à la fin d’une chaîne";i:3;s:33:"string rtrim(string [, charlist])";i:4;s:20:"http://php.net/rtrim";i:5;i:1;i:6;i:2;}s:3:"sin";a:6:{i:0;s:3:"sin";i:1;s:17:"Decimal.asNum.sin";i:2;s:5:"Sinus";i:3;s:15:"number sin(arg)";i:4;s:18:"http://php.net/sin";i:5;i:1;}s:7:"sprintf";a:6:{i:0;s:7:"sprintf";i:1;s:7:"sprintf";i:2;s:30:"Retourne une chaîne formatée";i:3;s:44:"string sprintf(format, arg1, arg2, ... argN)";i:4;s:22:"http://php.net/sprintf";i:5;i:-2;}s:4:"sqrt";a:6:{i:0;s:4:"sqrt";i:1;s:18:"Decimal.asNum.sqrt";i:2;s:14:"Racine carrée";i:3;s:16:"number sqrt(arg)";i:4;s:19:"http://php.net/sqrt";i:5;i:1;}s:6:"stddev";a:6:{i:0;s:14:"exprmgr_stddev";i:1;s:9:"LEMstddev";i:2;s:68:"Calculer l’écart type des échantillons pour la liste des nombres";i:3;s:35:"number stddev(arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-2;}s:7:"str_pad";a:7:{i:0;s:7:"str_pad";i:1;s:7:"str_pad";i:2;s:70:"Tampon d’une chaîne à une certaine longueur avec une autre chaîne";i:3;s:48:"string str_pad(input, pad_length [, pad_string])";i:4;s:22:"http://php.net/str-pad";i:5;i:2;i:6;i:3;}s:10:"str_repeat";a:6:{i:0;s:10:"str_repeat";i:1;s:10:"str_repeat";i:2;s:21:"Répétez une chaîne";i:3;s:36:"string str_repeat(input, multiplier)";i:4;s:25:"http://php.net/str-repeat";i:5;i:2;}s:11:"str_replace";a:6:{i:0;s:11:"str_replace";i:1;s:14:"LEMstr_replace";i:2;s:91:"Remplacer toutes les occurrences de la chaîne de recherche avec la chaîne de remplacement";i:3;s:45:"string str_replace(search,  replace, subject)";i:4;s:26:"http://php.net/str-replace";i:5;i:3;}s:10:"strcasecmp";a:6:{i:0;s:10:"strcasecmp";i:1;s:10:"strcasecmp";i:2;s:55:"Comparaison insensible à la casse de chaînes binaires";i:3;s:26:"int strcasecmp(str1, str2)";i:4;s:25:"http://php.net/strcasecmp";i:5;i:2;}s:6:"strcmp";a:6:{i:0;s:6:"strcmp";i:1;s:6:"strcmp";i:2;s:39:"Comparaison de chaînes en mode binaire";i:3;s:22:"int strcmp(str1, str2)";i:4;s:21:"http://php.net/strcmp";i:5;i:2;}s:10:"strip_tags";a:7:{i:0;s:10:"strip_tags";i:1;s:10:"strip_tags";i:2;s:48:"Supprime les balises HTML et PHP d’une chaîne";i:3;s:38:"string strip_tags(str, allowable_tags)";i:4;s:25:"http://php.net/strip-tags";i:5;i:1;i:6;i:2;}s:7:"stripos";a:7:{i:0;s:15:"exprmgr_stripos";i:1;s:7:"stripos";i:2;s:85:"Trouve la position de la première occurrence d’une chaîne insensible à la casse.";i:3;s:42:"int stripos(haystack, needle [, offset=0])";i:4;s:22:"http://php.net/stripos";i:5;i:2;i:6;i:3;}s:12:"stripslashes";a:6:{i:0;s:12:"stripslashes";i:1;s:12:"stripslashes";i:2;s:37:"Dé-cite une chaîne entre guillemets";i:3;s:27:"string stripslashes(string)";i:4;s:27:"http://php.net/stripslashes";i:5;i:1;}s:7:"stristr";a:7:{i:0;s:15:"exprmgr_stristr";i:1;s:7:"stristr";i:2;s:29:"Insensible à la casse strstr";i:3;s:56:"string stristr(haystack, needle [, before_needle=false])";i:4;s:22:"http://php.net/stristr";i:5;i:2;i:6;i:3;}s:6:"strlen";a:6:{i:0;s:14:"exprmgr_strlen";i:1;s:9:"LEMstrlen";i:2;s:39:"Récupérer la longueur d’une chaîne";i:3;s:18:"int strlen(string)";i:4;s:21:"http://php.net/strlen";i:5;i:1;}s:6:"strpos";a:7:{i:0;s:14:"exprmgr_strpos";i:1;s:9:"LEMstrpos";i:2;s:61:"Trouve la position de la première occurrence d’une chaîne";i:3;s:40:"int strpos(haystack, needle [ offset=0])";i:4;s:21:"http://php.net/strpos";i:5;i:2;i:6;i:3;}s:6:"strrev";a:6:{i:0;s:6:"strrev";i:1;s:6:"strrev";i:2;s:19:"Inverse une chaîne";i:3;s:21:"string strrev(string)";i:4;s:21:"http://php.net/strrev";i:5;i:1;}s:6:"strstr";a:7:{i:0;s:14:"exprmgr_strstr";i:1;s:6:"strstr";i:2;s:46:"Trouve la première occurrence d’une chaîne";i:3;s:55:"string strstr(haystack, needle [, before_needle=false])";i:4;s:21:"http://php.net/strstr";i:5;i:2;i:6;i:3;}s:10:"strtolower";a:6:{i:0;s:18:"exprmgr_strtolower";i:1;s:13:"LEMstrtolower";i:2;s:29:"Met une chaîne en minuscules";i:3;s:25:"string strtolower(string)";i:4;s:25:"http://php.net/strtolower";i:5;i:1;}s:9:"strtotime";a:6:{i:0;s:9:"strtotime";i:1;s:9:"strtotime";i:2;s:98:"Convertit une chaine de type date/heure à sa valeur correspondante en horodatage unix (timestamp)";i:3;s:21:"int strtotime(string)";i:4;s:43:"http://php.net/manual/de/function.strtotime";i:5;i:1;}s:10:"strtoupper";a:6:{i:0;s:18:"exprmgr_strtoupper";i:1;s:13:"LEMstrtoupper";i:2;s:29:"Met une chaîne en majuscules";i:3;s:25:"string strtoupper(string)";i:4;s:25:"http://php.net/strtoupper";i:5;i:1;}s:6:"substr";a:7:{i:0;s:14:"exprmgr_substr";i:1;s:6:"substr";i:2;s:35:"Retourne une partie d’une chaîne";i:3;s:39:"string substr(string, start [, length])";i:4;s:21:"http://php.net/substr";i:5;i:2;i:6;i:3;}s:3:"sum";a:6:{i:0;s:9:"array_sum";i:1;s:6:"LEMsum";i:2;s:45:"Calculer la somme des valeurs dans un tableau";i:3;s:32:"number sum(arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-2;}s:7:"sumifop";a:6:{i:0;s:15:"exprmgr_sumifop";i:1;s:10:"LEMsumifop";i:2;s:108:"Additionner dans la liste les valeurs des questions répondues qui correspondent au critère (valeur arg op)";i:3;s:47:"number sumifop(op, value, arg1, arg2, ... argN)";i:4;s:0:"";i:5;i:-3;}s:3:"tan";a:6:{i:0;s:3:"tan";i:1;s:17:"Decimal.asNum.tan";i:2;s:8:"Tangente";i:3;s:15:"number tan(arg)";i:4;s:18:"http://php.net/tan";i:5;i:1;}s:13:"convert_value";a:6:{i:0;s:21:"exprmgr_convert_value";i:1;s:16:"LEMconvert_value";i:2;s:104:"Convertir une valeur numérique à l’aide d'une table d’entrées-sorties de valeurs numériques";i:3;s:75:"number convert_value(fValue, iStrict, sTranslateFromList, sTranslateToList)";i:4;s:0:"";i:5;i:4;}s:4:"time";a:6:{i:0;s:4:"time";i:1;s:4:"time";i:2;s:28:"Retour timestamp UNIX actuel";i:3;s:13:"number time()";i:4;s:19:"http://php.net/time";i:5;i:0;}s:4:"trim";a:7:{i:0;s:4:"trim";i:1;s:4:"trim";i:2;s:98:"Supprime les espaces invisibles (ou d’autres caractères) au début et à la fin d’une chaîne";i:3;s:32:"string trim(string [, charlist])";i:4;s:19:"http://php.net/trim";i:5;i:1;i:6;i:2;}s:7:"ucwords";a:6:{i:0;s:7:"ucwords";i:1;s:7:"ucwords";i:2;s:66:"Met en majuscule la première lettre de chaque mot d’une chaîne";i:3;s:22:"string ucwords(string)";i:4;s:22:"http://php.net/ucwords";i:5;i:1;}s:6:"unique";a:6:{i:0;s:14:"exprmgr_unique";i:1;s:9:"LEMunique";i:2;s:82:"Retourne la valeur "vrai" si toutes les réponses non vides sont uniques";i:3;s:31:"boolean unique(arg1, ..., argN)";i:4;s:0:"";i:5;i:-1;}}s:27:"ExpressionManagerRDP_expr";s:3:"(1)";s:29:"ExpressionManagerRDP_tokens";a:3:{i:0;a:3:{i:0;s:1:"(";i:1;i:0;i:2;s:2:"LP";}i:1;a:3:{i:0;s:1:"1";i:1;i:1;i:2;s:6:"NUMBER";}i:2;a:3:{i:0;s:1:")";i:1;i:2;i:2;s:2:"RP";}}s:28:"ExpressionManagerRDP_count";i:3;s:26:"ExpressionManagerRDP_pos";i:4;s:27:"ExpressionManagerRDP_errs";a:0:{}s:32:"ExpressionManagerRDP_onlyparse";b:0;s:28:"ExpressionManagerRDP_stack";a:0:{}s:29:"ExpressionManagerRDP_result";a:3:{i:0;s:1:"1";i:1;i:1;i:2;s:6:"NUMBER";}s:33:"ExpressionManagerRDP_evalStatus";b:1;s:27:"ExpressionManagervarsUsed";a:0:{}s:30:"ExpressionManagerallVarsUsed";a:0:{}s:36:"ExpressionManagerprettyPrintSource";s:0:"";s:34:"ExpressionManagersubstitutionNum";i:4;s:35:"ExpressionManagersubstitutionInfo";a:2:{i:0;a:7:{s:11:"questionNum";s:4:"6144";s:3:"num";i:3;s:2:"id";s:18:"LEMtailor_Q_6144_3";s:3:"raw";s:17:"{ShortText.shown}";s:6:"result";s:0:"";s:4:"vars";s:19:"java922698X458X6141";s:2:"js";s:171:"jQuery('#LEMtailor_Q_6144_3').html(LEMfixnum(
LEMif(LEManyNA('ShortText.shown'),'',(LEMval('ShortText.shown') ))));
jQuery('#LEMtailor_Q_6144_3').trigger('html:updated');
";}i:1;a:7:{s:11:"questionNum";s:4:"6144";s:3:"num";i:4;s:2:"id";s:18:"LEMtailor_Q_6144_4";s:3:"raw";s:20:"{SingleChoice.shown}";s:6:"result";s:0:"";s:4:"vars";s:19:"java922698X458X6142";s:2:"js";s:177:"jQuery('#LEMtailor_Q_6144_4').html(LEMfixnum(
LEMif(LEManyNA('SingleChoice.shown'),'',(LEMval('SingleChoice.shown') ))));
jQuery('#LEMtailor_Q_6144_4').trigger('html:updated');
";}}s:31:"ExpressionManagerjsExpression";s:5:"((1))";s:30:"ExpressionManagerquestionSeq";i:2;s:27:"ExpressionManagergroupSeq";i:0;s:29:"ExpressionManagersurveyMode";s:6:"survey";s:22:"ExpressionManagersid";s:6:"922698";s:46:"ExpressionManagerhyperlinkSyntaxHighlighting";b:1;s:29:"ExpressionManagersgqaNaming";b:0;s:16:"substitutionVars";a:2:{s:18:"LEMtailor_Q_6144_3";i:1;s:18:"LEMtailor_Q_6144_4";i:1;}}s:41:"LimeExpressionManagergroupRelevanceInfo";a:5:{i:0;a:11:{s:3:"qid";s:4:"6141";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6141";s:4:"type";s:1:"S";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:1;a:11:{s:3:"qid";s:4:"6142";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6142";s:4:"type";s:1:"L";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:2;a:11:{s:3:"qid";s:4:"6143";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6143";s:4:"type";s:1:"!";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:3;a:11:{s:3:"qid";s:4:"6144";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6144";s:4:"type";s:1:"*";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}i:4;a:11:{s:3:"qid";s:4:"6145";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6145";s:4:"type";s:1:"S";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}}s:26:"LimeExpressionManagersid";s:6:"922698";s:33:"LimeExpressionManagerdebugLevel";i:0;s:35:"LimeExpressionManagersPreviewMode";b:0;s:32:"LimeExpressionManagerknownVars";a:14:{s:3:"SID";a:4:{s:4:"code";s:6:"922698";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:5:"TOKEN";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:7:"SAVEDID";a:4:{s:4:"code";s:2:"19";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:15:"922698X458X6141";a:23:{s:9:"jsName_on";s:21:"answer922698X458X6141";s:6:"jsName";s:19:"java922698X458X6141";s:9:"readWrite";s:1:"Y";s:6:"hidden";b:0;s:8:"question";s:12:"A short text";s:3:"qid";s:4:"6141";s:3:"gid";s:3:"458";s:10:"grelevance";s:1:"1";s:9:"relevance";s:1:"1";s:11:"SQrelevance";i:1;s:5:"qcode";s:9:"ShortText";s:4:"qseq";i:0;s:4:"gseq";i:0;s:4:"type";s:1:"S";s:4:"sgqa";s:15:"922698X458X6141";s:7:"ansList";s:0:"";s:8:"ansArray";N;s:8:"scale_id";s:1:"0";s:7:"default";N;s:11:"rootVarName";s:9:"ShortText";s:8:"subqtext";s:0:"";s:8:"rowdivid";s:0:"";s:7:"onlynum";b:0;}s:15:"922698X458X6142";a:23:{s:9:"jsName_on";s:19:"java922698X458X6142";s:6:"jsName";s:19:"java922698X458X6142";s:9:"readWrite";s:1:"Y";s:6:"hidden";b:0;s:8:"question";s:15:"Single choice 1";s:3:"qid";s:4:"6142";s:3:"gid";s:3:"458";s:10:"grelevance";s:1:"1";s:9:"relevance";s:1:"1";s:11:"SQrelevance";i:1;s:5:"qcode";s:12:"SingleChoice";s:4:"qseq";i:1;s:4:"gseq";i:0;s:4:"type";s:1:"L";s:4:"sgqa";s:15:"922698X458X6142";s:7:"ansList";s:141:",'answers':{ '0~A1':'0|Some example answer option','0~A2':'0|New answer option','0~A3':'0|Third answer option','0~A4':'0|Last answer option'}";s:8:"ansArray";a:4:{s:4:"0~A1";s:28:"0|Some example answer option";s:4:"0~A2";s:19:"0|New answer option";s:4:"0~A3";s:21:"0|Third answer option";s:4:"0~A4";s:20:"0|Last answer option";}s:8:"scale_id";s:1:"0";s:7:"default";N;s:11:"rootVarName";s:12:"SingleChoice";s:8:"subqtext";s:0:"";s:8:"rowdivid";s:0:"";s:7:"onlynum";b:0;}s:15:"922698X458X6143";a:23:{s:9:"jsName_on";s:19:"java922698X458X6143";s:6:"jsName";s:19:"java922698X458X6143";s:9:"readWrite";s:1:"Y";s:6:"hidden";b:0;s:8:"question";s:15:"Single choice 2";s:3:"qid";s:4:"6143";s:3:"gid";s:3:"458";s:10:"grelevance";s:1:"1";s:9:"relevance";s:1:"1";s:11:"SQrelevance";i:1;s:5:"qcode";s:13:"SingleChoice2";s:4:"qseq";i:2;s:4:"gseq";i:0;s:4:"type";s:1:"!";s:4:"sgqa";s:15:"922698X458X6143";s:7:"ansList";s:141:",'answers':{ '0~A1':'0|Some example answer option','0~A2':'0|New answer option','0~A3':'0|Third answer option','0~A4':'0|Last answer option'}";s:8:"ansArray";a:4:{s:4:"0~A1";s:28:"0|Some example answer option";s:4:"0~A2";s:19:"0|New answer option";s:4:"0~A3";s:21:"0|Third answer option";s:4:"0~A4";s:20:"0|Last answer option";}s:8:"scale_id";s:1:"0";s:7:"default";N;s:11:"rootVarName";s:13:"SingleChoice2";s:8:"subqtext";s:0:"";s:8:"rowdivid";s:0:"";s:7:"onlynum";b:0;}s:15:"922698X458X6144";a:23:{s:9:"jsName_on";s:19:"java922698X458X6144";s:6:"jsName";s:19:"java922698X458X6144";s:9:"readWrite";s:1:"Y";s:6:"hidden";b:1;s:8:"question";s:8:"Equation";s:3:"qid";s:4:"6144";s:3:"gid";s:3:"458";s:10:"grelevance";s:1:"1";s:9:"relevance";s:1:"1";s:11:"SQrelevance";i:1;s:5:"qcode";s:8:"Equation";s:4:"qseq";i:3;s:4:"gseq";i:0;s:4:"type";s:1:"*";s:4:"sgqa";s:15:"922698X458X6144";s:7:"ansList";s:0:"";s:8:"ansArray";N;s:8:"scale_id";s:1:"0";s:7:"default";N;s:11:"rootVarName";s:8:"Equation";s:8:"subqtext";s:0:"";s:8:"rowdivid";s:0:"";s:7:"onlynum";b:0;}s:15:"922698X458X6145";a:23:{s:9:"jsName_on";s:0:"";s:6:"jsName";s:19:"java922698X458X6145";s:9:"readWrite";s:1:"Y";s:6:"hidden";b:1;s:8:"question";s:0:"";s:3:"qid";s:4:"6145";s:3:"gid";s:3:"458";s:10:"grelevance";s:1:"1";s:9:"relevance";s:1:"1";s:11:"SQrelevance";i:1;s:5:"qcode";s:13:"extraSurveyId";s:4:"qseq";i:4;s:4:"gseq";i:0;s:4:"type";s:1:"S";s:4:"sgqa";s:15:"922698X458X6145";s:7:"ansList";s:0:"";s:8:"ansArray";N;s:8:"scale_id";s:1:"0";s:7:"default";N;s:11:"rootVarName";s:13:"extraSurveyId";s:8:"subqtext";s:0:"";s:8:"rowdivid";s:0:"";s:7:"onlynum";b:0;}s:15:"TOKEN:FIRSTNAME";a:5:{s:4:"code";s:0:"";s:4:"type";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"TOKEN:LASTNAME";a:5:{s:4:"code";s:0:"";s:4:"type";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:11:"TOKEN:EMAIL";a:5:{s:4:"code";s:0:"";s:4:"type";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:11:"TOKEN:TOKEN";a:5:{s:4:"code";s:0:"";s:4:"type";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"TOKEN:USESLEFT";a:5:{s:4:"code";s:0:"";s:4:"type";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:4:"this";a:22:{s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:0:"";s:6:"hidden";s:0:"";s:8:"question";s:4:"this";s:3:"qid";s:0:"";s:3:"gid";s:0:"";s:10:"grelevance";s:0:"";s:9:"relevance";s:0:"";s:11:"SQrelevance";s:0:"";s:5:"qcode";s:4:"this";s:4:"qseq";s:0:"";s:4:"gseq";s:0:"";s:4:"type";s:0:"";s:4:"sgqa";s:0:"";s:8:"rowdivid";s:0:"";s:7:"ansList";s:0:"";s:8:"ansArray";a:0:{}s:8:"scale_id";s:0:"";s:7:"default";s:0:"";s:11:"rootVarName";s:4:"this";s:8:"subqtext";s:0:"";}}s:33:"LimeExpressionManagerqcode2sgqa";a:5:{s:9:"ShortText";s:15:"922698X458X6141";s:12:"SingleChoice";s:15:"922698X458X6142";s:13:"SingleChoice2";s:15:"922698X458X6143";s:8:"Equation";s:15:"922698X458X6144";s:13:"extraSurveyId";s:15:"922698X458X6145";}s:31:"LimeExpressionManagertempVars";a:46:{s:12:"FLASHMESSAGE";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"NUMBEROFGROUPS";a:4:{s:4:"code";s:1:"1";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:17:"NUMBEROFQUESTIONS";a:4:{s:4:"code";i:0;s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:6:"ACTIVE";a:4:{s:4:"code";b:1;s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"DATESTAMP";a:4:{s:4:"code";s:1:"-";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:6:"EXPIRY";a:4:{s:4:"code";s:1:"-";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"ADMINNAME";a:4:{s:4:"code";s:13:"Administrator";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:10:"ADMINEMAIL";a:4:{s:4:"code";s:18:"denis@sondages.pro";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:3:"GID";a:4:{s:4:"code";s:3:"458";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:4:"LANG";a:4:{s:4:"code";s:2:"en";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"NAVIGATOR";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"MOVEPREVBUTTON";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"MOVENEXTBUTTON";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:15:"PERCENTCOMPLETE";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"PRIVACYHEADING";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"PRIVACYMESSAGE";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"QUESTION_INDEX";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:19:"QUESTION_INDEX_MENU";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:13:"SURVEYCONTACT";a:4:{s:4:"code";s:138:"Please contact Administrator ( denis@sondages.pro ) for further assistance.";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:17:"SURVEYDESCRIPTION";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:12:"SURVEYFORMAT";a:4:{s:4:"code";s:54:"allinone bootstrap-engine  showprogress showqnumcode-X";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"SURVEYLANGUAGE";a:4:{s:4:"code";s:2:"en";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:10:"SURVEYNAME";a:4:{s:4:"code";s:29:"Question inside survey inside";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:18:"SURVEYRESOURCESURL";a:4:{s:4:"code";s:30:"/master/upload/surveys/922698/";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:3:"URL";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:7:"WELCOME";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:17:"CLOSE_TRANSLATION";a:4:{s:4:"code";s:5:"Close";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:24:"ASSESSMENT_CURRENT_TOTAL";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:11:"TEMPLATEURL";a:4:{s:4:"code";s:31:"/master/themes/survey/vanilla//";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"ANSWERSCLEARED";a:4:{s:4:"code";s:15:"Answers cleared";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:18:"ASSESSMENT_HEADING";a:4:{s:4:"code";s:15:"Your assessment";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:15:"CHECKJAVASCRIPT";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:8:"CLEARALL";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"QUEXMLPDF";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:11:"CLOSEWINDOW";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"COMPLETED";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:7:"ENDTEXT";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:16:"GROUPDESCRIPTION";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:9:"GROUPNAME";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:7:"RESTART";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:14:"RETURNTOSURVEY";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:4:"SAVE";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:8:"SITELOGO";a:4:{s:4:"code";s:0:"";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:18:"THEREAREXQUESTIONS";a:4:{s:4:"code";s:76:"</p><div class="question-count-text">There are no questions in this survey</div>";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:3:"QID";a:4:{s:4:"code";s:4:"6144";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}s:3:"SGQ";a:4:{s:4:"code";s:15:"922698X458X6144";s:9:"jsName_on";s:0:"";s:6:"jsName";s:0:"";s:9:"readWrite";s:1:"N";}}s:40:"LimeExpressionManagerpageRelevanceInfo";a:2:{i:0;a:5:{i:0;a:11:{s:3:"qid";s:4:"6141";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6141";s:4:"type";s:1:"S";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:1;a:11:{s:3:"qid";s:4:"6142";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6142";s:4:"type";s:1:"L";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:2;a:11:{s:3:"qid";s:4:"6143";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6143";s:4:"type";s:1:"!";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:3;a:11:{s:3:"qid";s:4:"6144";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6144";s:4:"type";s:1:"*";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}i:4;a:11:{s:3:"qid";s:4:"6145";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6145";s:4:"type";s:1:"S";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}}i:1;a:5:{i:0;a:11:{s:3:"qid";s:4:"6141";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6141";s:4:"type";s:1:"S";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:1;a:11:{s:3:"qid";s:4:"6142";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6142";s:4:"type";s:1:"L";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:2;a:11:{s:3:"qid";s:4:"6143";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6143";s:4:"type";s:1:"!";s:6:"hidden";b:0;s:9:"hasErrors";b:0;}i:3;a:11:{s:3:"qid";s:4:"6144";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6144";s:4:"type";s:1:"*";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}i:4;a:11:{s:3:"qid";s:4:"6145";s:4:"gseq";i:0;s:3:"eqn";s:1:"1";s:6:"result";b:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6145";s:4:"type";s:1:"S";s:6:"hidden";b:1;s:9:"hasErrors";b:0;}}}s:37:"LimeExpressionManagerpageTailorInfo";a:2:{i:0;a:0:{}i:1;a:2:{i:0;a:7:{s:11:"questionNum";s:4:"6144";s:3:"num";i:3;s:2:"id";s:18:"LEMtailor_Q_6144_3";s:3:"raw";s:17:"{ShortText.shown}";s:6:"result";s:0:"";s:4:"vars";s:19:"java922698X458X6141";s:2:"js";s:171:"jQuery('#LEMtailor_Q_6144_3').html(LEMfixnum(
LEMif(LEManyNA('ShortText.shown'),'',(LEMval('ShortText.shown') ))));
jQuery('#LEMtailor_Q_6144_3').trigger('html:updated');
";}i:1;a:7:{s:11:"questionNum";s:4:"6144";s:3:"num";i:4;s:2:"id";s:18:"LEMtailor_Q_6144_4";s:3:"raw";s:20:"{SingleChoice.shown}";s:6:"result";s:0:"";s:4:"vars";s:19:"java922698X458X6142";s:2:"js";s:177:"jQuery('#LEMtailor_Q_6144_4').html(LEMfixnum(
LEMif(LEManyNA('SingleChoice.shown'),'',(LEMval('SingleChoice.shown') ))));
jQuery('#LEMtailor_Q_6144_4').trigger('html:updated');
";}}}s:35:"LimeExpressionManagerallOnOnePage";b:1;s:33:"LimeExpressionManagersurveyMode";s:6:"survey";s:36:"LimeExpressionManagersurveyOptions";a:20:{s:6:"active";b:1;s:9:"allowsave";b:1;s:24:"alloweditaftercompletion";b:0;s:10:"anonymized";b:0;s:11:"assessments";b:0;s:9:"datestamp";b:0;s:15:"deletenonvalues";b:1;s:27:"hyperlinkSyntaxHighlighting";b:1;s:6:"ipaddr";b:0;s:5:"radix";s:1:".";s:6:"refurl";N;s:11:"savetimings";b:0;s:13:"startlanguage";s:2:"en";s:19:"surveyls_dateformat";s:1:"1";s:9:"tablename";s:17:"{{survey_922698}}";s:17:"tablename_timings";s:0:"";s:6:"target";s:64:"/mnt/data/shnoulle/nginx/www/master/upload/surveys/922698/files/";s:10:"timeadjust";s:10:"+0 minutes";s:7:"tempdir";s:40:"/mnt/data/shnoulle/nginx/www/master/tmp/";s:5:"token";s:0:"";}s:31:"LimeExpressionManagerqid2code";a:5:{i:6141;s:15:"922698X458X6141";i:6142;s:15:"922698X458X6142";i:6143;s:15:"922698X458X6143";i:6144;s:15:"922698X458X6144";i:6145;s:15:"922698X458X6145";}s:32:"LimeExpressionManagerjsVar2qid";a:5:{s:19:"java922698X458X6141";s:4:"6141";s:19:"java922698X458X6142";s:4:"6142";s:19:"java922698X458X6143";s:4:"6143";s:19:"java922698X458X6144";s:4:"6144";s:19:"java922698X458X6145";s:4:"6145";}s:32:"LimeExpressionManagerqcode2sgq";a:5:{s:9:"ShortText";s:15:"922698X458X6141";s:12:"SingleChoice";s:15:"922698X458X6142";s:13:"SingleChoice2";s:15:"922698X458X6143";s:8:"Equation";s:15:"922698X458X6144";s:13:"extraSurveyId";s:15:"922698X458X6145";}s:36:"LimeExpressionManageralias2varName";a:10:{s:9:"ShortText";a:2:{s:6:"jsName";s:19:"java922698X458X6141";s:6:"jsPart";s:33:"'ShortText':'java922698X458X6141'";}s:15:"922698X458X6141";a:2:{s:6:"jsName";s:19:"java922698X458X6141";s:6:"jsPart";s:39:"'922698X458X6141':'java922698X458X6141'";}s:12:"SingleChoice";a:2:{s:6:"jsName";s:19:"java922698X458X6142";s:6:"jsPart";s:36:"'SingleChoice':'java922698X458X6142'";}s:15:"922698X458X6142";a:2:{s:6:"jsName";s:19:"java922698X458X6142";s:6:"jsPart";s:39:"'922698X458X6142':'java922698X458X6142'";}s:13:"SingleChoice2";a:2:{s:6:"jsName";s:19:"java922698X458X6143";s:6:"jsPart";s:37:"'SingleChoice2':'java922698X458X6143'";}s:15:"922698X458X6143";a:2:{s:6:"jsName";s:19:"java922698X458X6143";s:6:"jsPart";s:39:"'922698X458X6143':'java922698X458X6143'";}s:8:"Equation";a:2:{s:6:"jsName";s:19:"java922698X458X6144";s:6:"jsPart";s:32:"'Equation':'java922698X458X6144'";}s:15:"922698X458X6144";a:2:{s:6:"jsName";s:19:"java922698X458X6144";s:6:"jsPart";s:39:"'922698X458X6144':'java922698X458X6144'";}s:13:"extraSurveyId";a:2:{s:6:"jsName";s:19:"java922698X458X6145";s:6:"jsPart";s:37:"'extraSurveyId':'java922698X458X6145'";}s:15:"922698X458X6145";a:2:{s:6:"jsName";s:19:"java922698X458X6145";s:6:"jsPart";s:39:"'922698X458X6145':'java922698X458X6145'";}}s:34:"LimeExpressionManagervarNameAttr";a:5:{s:19:"java922698X458X6141";s:197:"'java922698X458X6141':{ 'jsName':'java922698X458X6141','jsName_on':'answer922698X458X6141','sgqa':'922698X458X6141','qid':6141,'gid':458,'type':'S','default':'','rowdivid':'','onlynum':'','gseq':0}";s:19:"java922698X458X6142";s:336:"'java922698X458X6142':{ 'jsName':'java922698X458X6142','jsName_on':'java922698X458X6142','sgqa':'922698X458X6142','qid':6142,'gid':458,'type':'L','default':'','rowdivid':'','onlynum':'','gseq':0,'answers':{ '0~A1':'0|Some example answer option','0~A2':'0|New answer option','0~A3':'0|Third answer option','0~A4':'0|Last answer option'}}";s:19:"java922698X458X6143";s:336:"'java922698X458X6143':{ 'jsName':'java922698X458X6143','jsName_on':'java922698X458X6143','sgqa':'922698X458X6143','qid':6143,'gid':458,'type':'!','default':'','rowdivid':'','onlynum':'','gseq':0,'answers':{ '0~A1':'0|Some example answer option','0~A2':'0|New answer option','0~A3':'0|Third answer option','0~A4':'0|Last answer option'}}";s:19:"java922698X458X6144";s:195:"'java922698X458X6144':{ 'jsName':'java922698X458X6144','jsName_on':'java922698X458X6144','sgqa':'922698X458X6144','qid':6144,'gid':458,'type':'*','default':'','rowdivid':'','onlynum':'','gseq':0}";s:19:"java922698X458X6145";s:176:"'java922698X458X6145':{ 'jsName':'java922698X458X6145','jsName_on':'','sgqa':'922698X458X6145','qid':6145,'gid':458,'type':'S','default':'','rowdivid':'','onlynum':'','gseq':0}";}s:27:"LimeExpressionManagerqans";a:2:{i:6142;a:4:{s:4:"0~A1";s:28:"0|Some example answer option";s:4:"0~A2";s:19:"0|New answer option";s:4:"0~A3";s:21:"0|Third answer option";s:4:"0~A4";s:20:"0|Last answer option";}i:6143;a:4:{s:4:"0~A1";s:28:"0|Some example answer option";s:4:"0~A2";s:19:"0|New answer option";s:4:"0~A3";s:21:"0|Third answer option";s:4:"0~A4";s:20:"0|Last answer option";}}s:39:"LimeExpressionManagergroupId2groupSeq";a:1:{i:458;i:0;}s:45:"LimeExpressionManagerquestionId2questionSeq";a:5:{i:6141;i:0;i:6142;i:1;i:6143;i:2;i:6144;i:3;i:6145;i:4;}s:42:"LimeExpressionManagerquestionId2groupSeq";a:5:{i:6141;i:0;i:6142;i:0;i:6143;i:0;i:6144;i:0;i:6145;i:0;}s:35:"LimeExpressionManagergroupSeqInfo";a:1:{i:0;a:2:{s:6:"qstart";i:0;s:4:"qend";i:4;}}s:43:"LimeExpressionManagergseq2relevanceStatus";a:1:{i:0;i:1;}s:40:"LimeExpressionManagerqid2validationEqn";a:2:{i:6142;a:5:{s:3:"eqn";a:1:{s:7:"default";s:3:"(1)";}s:4:"tips";a:1:{s:7:"default";s:35:"Choose one of the following answers";}s:13:"subqValidEqns";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}i:6143;a:5:{s:3:"eqn";a:1:{s:7:"default";s:3:"(1)";}s:4:"tips";a:1:{s:7:"default";s:35:"Choose one of the following answers";}s:13:"subqValidEqns";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}}s:44:"LimeExpressionManagerquestionSeq2relevance";a:5:{i:0;a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6141";s:4:"qseq";i:0;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:21:"answer922698X458X6141";s:11:"jsResultVar";s:19:"java922698X458X6141";s:4:"type";s:1:"S";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:29:"This is a question help text.";s:5:"qtext";s:12:"A short text";s:4:"code";s:9:"ShortText";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:9:"ShortText";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}i:1;a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6142";s:4:"qseq";i:1;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6142";s:11:"jsResultVar";s:19:"java922698X458X6142";s:4:"type";s:1:"L";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"N";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:15:"Single choice 1";s:4:"code";s:12:"SingleChoice";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:12:"SingleChoice";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}i:2;a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6143";s:4:"qseq";i:2;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6143";s:11:"jsResultVar";s:19:"java922698X458X6143";s:4:"type";s:1:"!";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:15:"Single choice 2";s:4:"code";s:13:"SingleChoice2";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:13:"SingleChoice2";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}i:3;a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6144";s:4:"qseq";i:3;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6144";s:11:"jsResultVar";s:19:"java922698X458X6144";s:4:"type";s:1:"*";s:6:"hidden";b:1;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:8:"Equation";s:4:"code";s:8:"Equation";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:8:"Equation";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}i:4;a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6145";s:4:"qseq";i:4;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6145";s:4:"type";s:1:"S";s:6:"hidden";b:1;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"N";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:0:"";s:4:"code";s:13:"extraSurveyId";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:13:"extraSurveyId";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}}s:38:"LimeExpressionManagercurrentGroupSeq";i:0;s:41:"LimeExpressionManagercurrentQuestionSeq";i:-1;s:33:"LimeExpressionManagercurrentQID";N;s:34:"LimeExpressionManagercurrentQset";a:5:{i:6141;a:23:{s:4:"info";a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6141";s:4:"qseq";i:0;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:21:"answer922698X458X6141";s:11:"jsResultVar";s:19:"java922698X458X6141";s:4:"type";s:1:"S";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:29:"This is a question help text.";s:5:"qtext";s:12:"A short text";s:4:"code";s:9:"ShortText";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:9:"ShortText";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}s:8:"relevant";b:1;s:6:"hidden";b:0;s:6:"relEqn";s:0:"";s:4:"sgqa";s:15:"922698X458X6141";s:13:"unansweredSQs";s:15:"922698X458X6141";s:5:"valid";b:1;s:8:"validEqn";s:0:"";s:14:"prettyValidEqn";s:0:"";s:8:"validTip";s:0:"";s:14:"prettyValidTip";s:0:"";s:7:"validJS";s:0:"";s:10:"invalidSQs";s:0:"";s:11:"relevantSQs";s:15:"922698X458X6141";s:13:"irrelevantSQs";s:0:"";s:10:"subQrelEqn";s:0:"";s:13:"mandViolation";b:0;s:13:"anyUnanswered";b:1;s:7:"mandTip";s:0:"";s:7:"message";s:0:"";s:13:"updatedValues";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}i:6142;a:23:{s:4:"info";a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6142";s:4:"qseq";i:1;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6142";s:11:"jsResultVar";s:19:"java922698X458X6142";s:4:"type";s:1:"L";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"N";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:15:"Single choice 1";s:4:"code";s:12:"SingleChoice";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:12:"SingleChoice";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}s:8:"relevant";b:1;s:6:"hidden";b:0;s:6:"relEqn";s:0:"";s:4:"sgqa";s:15:"922698X458X6142";s:13:"unansweredSQs";s:15:"922698X458X6142";s:5:"valid";b:1;s:8:"validEqn";s:3:"(1)";s:14:"prettyValidEqn";s:3:"(1)";s:8:"validTip";s:194:"<div id="vmsg_6142_default" class="ls-question-message ls-em-tip em_default">
    <span class="fa fa-exclamation-circle" aria-hidden="true"></span>
    Choose one of the following answers</div>
";s:14:"prettyValidTip";s:194:"<div id="vmsg_6142_default" class="ls-question-message ls-em-tip em_default">
    <span class="fa fa-exclamation-circle" aria-hidden="true"></span>
    Choose one of the following answers</div>
";s:7:"validJS";s:5:"((1))";s:10:"invalidSQs";s:0:"";s:11:"relevantSQs";s:15:"922698X458X6142";s:13:"irrelevantSQs";s:0:"";s:10:"subQrelEqn";s:0:"";s:13:"mandViolation";b:0;s:13:"anyUnanswered";b:1;s:7:"mandTip";s:0:"";s:7:"message";s:0:"";s:13:"updatedValues";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}i:6143;a:23:{s:4:"info";a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6143";s:4:"qseq";i:2;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6143";s:11:"jsResultVar";s:19:"java922698X458X6143";s:4:"type";s:1:"!";s:6:"hidden";b:0;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:15:"Single choice 2";s:4:"code";s:13:"SingleChoice2";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:13:"SingleChoice2";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}s:8:"relevant";b:1;s:6:"hidden";b:0;s:6:"relEqn";s:0:"";s:4:"sgqa";s:15:"922698X458X6143";s:13:"unansweredSQs";s:15:"922698X458X6143";s:5:"valid";b:1;s:8:"validEqn";s:3:"(1)";s:14:"prettyValidEqn";s:3:"(1)";s:8:"validTip";s:194:"<div id="vmsg_6143_default" class="ls-question-message ls-em-tip em_default">
    <span class="fa fa-exclamation-circle" aria-hidden="true"></span>
    Choose one of the following answers</div>
";s:14:"prettyValidTip";s:194:"<div id="vmsg_6143_default" class="ls-question-message ls-em-tip em_default">
    <span class="fa fa-exclamation-circle" aria-hidden="true"></span>
    Choose one of the following answers</div>
";s:7:"validJS";s:5:"((1))";s:10:"invalidSQs";s:0:"";s:11:"relevantSQs";s:15:"922698X458X6143";s:13:"irrelevantSQs";s:0:"";s:10:"subQrelEqn";s:0:"";s:13:"mandViolation";b:0;s:13:"anyUnanswered";b:1;s:7:"mandTip";s:0:"";s:7:"message";s:0:"";s:13:"updatedValues";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}i:6144;a:23:{s:4:"info";a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6144";s:4:"qseq";i:3;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:19:"java922698X458X6144";s:11:"jsResultVar";s:19:"java922698X458X6144";s:4:"type";s:1:"*";s:6:"hidden";b:1;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"Y";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:8:"Equation";s:4:"code";s:8:"Equation";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:8:"Equation";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}s:8:"relevant";b:1;s:6:"hidden";b:1;s:6:"relEqn";s:0:"";s:4:"sgqa";s:15:"922698X458X6144";s:13:"unansweredSQs";s:0:"";s:5:"valid";b:1;s:8:"validEqn";s:0:"";s:14:"prettyValidEqn";s:0:"";s:8:"validTip";s:0:"";s:14:"prettyValidTip";s:0:"";s:7:"validJS";s:0:"";s:10:"invalidSQs";s:0:"";s:11:"relevantSQs";s:15:"922698X458X6144";s:13:"irrelevantSQs";s:0:"";s:10:"subQrelEqn";s:0:"";s:13:"mandViolation";b:0;s:13:"anyUnanswered";b:0;s:7:"mandTip";s:0:"";s:7:"message";s:0:"";s:13:"updatedValues";a:1:{s:15:"922698X458X6144";a:2:{s:4:"type";s:1:"*";s:5:"value";s:1:"-";}}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}i:6145;a:23:{s:4:"info";a:21:{s:9:"relevance";s:1:"1";s:10:"grelevance";s:1:"1";s:3:"qid";s:4:"6145";s:4:"qseq";i:4;s:4:"gseq";i:0;s:14:"jsResultVar_on";s:0:"";s:11:"jsResultVar";s:19:"java922698X458X6145";s:4:"type";s:1:"S";s:6:"hidden";b:1;s:3:"gid";s:3:"458";s:9:"mandatory";s:1:"N";s:3:"eqn";s:0:"";s:4:"help";s:0:"";s:5:"qtext";s:0:"";s:4:"code";s:13:"extraSurveyId";s:5:"other";s:1:"N";s:7:"default";N;s:11:"rootVarName";s:13:"extraSurveyId";s:8:"rowdivid";s:0:"";s:3:"aid";s:0:"";s:4:"sqid";s:0:"";}s:8:"relevant";b:1;s:6:"hidden";b:1;s:6:"relEqn";s:0:"";s:4:"sgqa";s:15:"922698X458X6145";s:13:"unansweredSQs";s:15:"922698X458X6145";s:5:"valid";b:1;s:8:"validEqn";s:0:"";s:14:"prettyValidEqn";s:0:"";s:8:"validTip";s:0:"";s:14:"prettyValidTip";s:0:"";s:7:"validJS";s:0:"";s:10:"invalidSQs";s:0:"";s:11:"relevantSQs";s:15:"922698X458X6145";s:13:"irrelevantSQs";s:0:"";s:10:"subQrelEqn";s:0:"";s:13:"mandViolation";b:0;s:13:"anyUnanswered";b:0;s:7:"mandTip";s:0:"";s:7:"message";s:0:"";s:13:"updatedValues";a:0:{}s:6:"sumEqn";s:0:"";s:15:"sumRemainingEqn";s:0:"";}}s:37:"LimeExpressionManagerlastMoveResult";a:8:{s:8:"finished";b:0;s:7:"message";s:0:"";s:4:"gseq";i:1;s:3:"seq";i:1;s:13:"mandViolation";b:0;s:5:"valid";b:1;s:13:"unansweredSQs";s:63:"922698X458X6141|922698X458X6142|922698X458X6143|922698X458X6145";s:10:"invalidSQs";s:0:"";}s:32:"LimeExpressionManagerindexQseq";a:5:{i:0;a:13:{s:3:"qid";s:4:"6141";s:5:"qtext";s:12:"A short text";s:5:"qcode";s:9:"ShortText";s:5:"qhelp";s:29:"This is a question help text.";s:13:"anyUnanswered";b:1;s:9:"anyErrors";b:1;s:4:"show";b:1;s:4:"gseq";i:0;s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"mandViolation";b:1;s:5:"valid";b:1;}i:1;a:13:{s:3:"qid";s:4:"6142";s:5:"qtext";s:15:"Single choice 1";s:5:"qcode";s:12:"SingleChoice";s:5:"qhelp";s:0:"";s:13:"anyUnanswered";b:1;s:9:"anyErrors";b:0;s:4:"show";b:1;s:4:"gseq";i:0;s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"mandViolation";b:0;s:5:"valid";b:1;}i:2;a:13:{s:3:"qid";s:4:"6143";s:5:"qtext";s:15:"Single choice 2";s:5:"qcode";s:13:"SingleChoice2";s:5:"qhelp";s:0:"";s:13:"anyUnanswered";b:1;s:9:"anyErrors";b:1;s:4:"show";b:1;s:4:"gseq";i:0;s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"mandViolation";b:1;s:5:"valid";b:1;}i:3;a:13:{s:3:"qid";s:4:"6144";s:5:"qtext";s:8:"Equation";s:5:"qcode";s:8:"Equation";s:5:"qhelp";s:0:"";s:13:"anyUnanswered";b:0;s:9:"anyErrors";b:0;s:4:"show";b:0;s:4:"gseq";i:0;s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"mandViolation";b:0;s:5:"valid";b:1;}i:4;a:13:{s:3:"qid";s:4:"6145";s:5:"qtext";s:0:"";s:5:"qcode";s:13:"extraSurveyId";s:5:"qhelp";s:0:"";s:13:"anyUnanswered";b:0;s:9:"anyErrors";b:0;s:4:"show";b:0;s:4:"gseq";i:0;s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"mandViolation";b:0;s:5:"valid";b:1;}}s:32:"LimeExpressionManagerindexGseq";a:1:{i:0;a:8:{s:5:"gtext";s:0:"";s:5:"gname";s:23:"My first question group";s:3:"gid";s:3:"458";s:13:"anyUnanswered";b:1;s:9:"anyErrors";b:0;s:5:"valid";b:1;s:13:"mandViolation";b:0;s:4:"show";b:1;}}s:32:"LimeExpressionManagergseq2info";a:1:{i:0;a:6:{s:11:"group_order";i:0;s:3:"gid";s:3:"458";s:10:"group_name";s:23:"My first question group";s:11:"description";s:0:"";s:10:"grelevance";s:1:"1";s:19:"randomization_group";s:0:"";}}s:34:"LimeExpressionManagermaxGroupSeq";N;s:37:"LimeExpressionManagermaxQuestionSeq";i:4;s:33:"LimeExpressionManagerq2subqInfo";a:4:{i:6141;a:11:{s:3:"qid";s:4:"6141";s:4:"qseq";i:0;s:4:"gseq";i:0;s:4:"sgqa";s:15:"922698X458X6141";s:9:"mandatory";s:1:"Y";s:7:"varName";s:9:"ShortText";s:4:"type";s:1:"S";s:9:"fieldname";s:15:"922698X458X6141";s:4:"preg";N;s:11:"rootVarName";s:9:"ShortText";s:5:"subqs";a:1:{i:0;a:4:{s:7:"varName";s:9:"ShortText";s:8:"rowdivid";s:15:"922698X458X6141";s:9:"jsVarName";s:19:"java922698X458X6141";s:12:"jsVarName_on";s:21:"answer922698X458X6141";}}}i:6142;a:11:{s:3:"qid";s:4:"6142";s:4:"qseq";i:1;s:4:"gseq";i:0;s:4:"sgqa";s:15:"922698X458X6142";s:9:"mandatory";s:1:"N";s:7:"varName";s:12:"SingleChoice";s:4:"type";s:1:"L";s:9:"fieldname";s:15:"922698X458X6142";s:4:"preg";N;s:11:"rootVarName";s:12:"SingleChoice";s:5:"subqs";a:4:{i:0;a:3:{s:8:"rowdivid";s:17:"922698X458X6142A1";s:7:"varName";s:12:"SingleChoice";s:8:"sqsuffix";s:3:"_A1";}i:1;a:3:{s:8:"rowdivid";s:17:"922698X458X6142A2";s:7:"varName";s:12:"SingleChoice";s:8:"sqsuffix";s:3:"_A2";}i:2;a:3:{s:8:"rowdivid";s:17:"922698X458X6142A3";s:7:"varName";s:12:"SingleChoice";s:8:"sqsuffix";s:3:"_A3";}i:3;a:3:{s:8:"rowdivid";s:17:"922698X458X6142A4";s:7:"varName";s:12:"SingleChoice";s:8:"sqsuffix";s:3:"_A4";}}}i:6143;a:11:{s:3:"qid";s:4:"6143";s:4:"qseq";i:2;s:4:"gseq";i:0;s:4:"sgqa";s:15:"922698X458X6143";s:9:"mandatory";s:1:"Y";s:7:"varName";s:13:"SingleChoice2";s:4:"type";s:1:"!";s:9:"fieldname";s:15:"922698X458X6143";s:4:"preg";N;s:11:"rootVarName";s:13:"SingleChoice2";s:5:"subqs";a:4:{i:0;a:3:{s:8:"rowdivid";s:17:"922698X458X6143A1";s:7:"varName";s:13:"SingleChoice2";s:8:"sqsuffix";s:3:"_A1";}i:1;a:3:{s:8:"rowdivid";s:17:"922698X458X6143A2";s:7:"varName";s:13:"SingleChoice2";s:8:"sqsuffix";s:3:"_A2";}i:2;a:3:{s:8:"rowdivid";s:17:"922698X458X6143A3";s:7:"varName";s:13:"SingleChoice2";s:8:"sqsuffix";s:3:"_A3";}i:3;a:3:{s:8:"rowdivid";s:17:"922698X458X6143A4";s:7:"varName";s:13:"SingleChoice2";s:8:"sqsuffix";s:3:"_A4";}}}i:6145;a:11:{s:3:"qid";s:4:"6145";s:4:"qseq";i:4;s:4:"gseq";i:0;s:4:"sgqa";s:15:"922698X458X6145";s:9:"mandatory";s:1:"N";s:7:"varName";s:13:"extraSurveyId";s:4:"type";s:1:"S";s:9:"fieldname";s:15:"922698X458X6145";s:4:"preg";N;s:11:"rootVarName";s:13:"extraSurveyId";s:5:"subqs";a:1:{i:0;a:4:{s:7:"varName";s:13:"extraSurveyId";s:8:"rowdivid";s:15:"922698X458X6145";s:9:"jsVarName";s:19:"java922698X458X6145";s:12:"jsVarName_on";s:0:"";}}}}s:28:"LimeExpressionManagerqattr";a:5:{i:6141;a:56:{s:12:"display_rows";s:0:"";s:15:"em_validation_q";s:0:"";s:19:"em_validation_q_tip";s:0:"";s:16:"em_validation_sq";s:0:"";s:20:"em_validation_sq_tip";s:0:"";s:13:"location_city";i:0;s:14:"location_state";i:0;s:15:"location_postal";i:0;s:16:"location_country";i:0;s:18:"statistics_showmap";i:1;s:20:"statistics_showgraph";i:1;s:20:"statistics_graphtype";i:0;s:19:"location_mapservice";i:0;s:17:"location_mapwidth";s:3:"500";s:18:"location_mapheight";s:3:"300";s:24:"location_nodefaultfromip";i:0;s:27:"location_defaultcoordinates";s:0:"";s:16:"location_mapzoom";s:2:"11";s:8:"hide_tip";i:0;s:6:"hidden";i:0;s:8:"cssclass";s:0:"";s:13:"maximum_chars";s:0:"";s:12:"numbers_only";i:0;s:10:"input_size";s:0:"";s:10:"page_break";i:0;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:16:"text_input_width";s:0:"";s:10:"time_limit";s:0:"";s:17:"time_limit_action";i:1;s:23:"time_limit_disable_next";i:0;s:23:"time_limit_disable_prev";i:0;s:28:"time_limit_countdown_message";s:0:"";s:22:"time_limit_timer_style";s:0:"";s:24:"time_limit_message_delay";s:0:"";s:18:"time_limit_message";s:0:"";s:24:"time_limit_message_style";s:0:"";s:18:"time_limit_warning";s:0:"";s:31:"time_limit_warning_display_time";s:0:"";s:26:"time_limit_warning_message";s:0:"";s:24:"time_limit_warning_style";s:0:"";s:20:"time_limit_warning_2";s:0:"";s:33:"time_limit_warning_2_display_time";s:0:"";s:28:"time_limit_warning_2_message";s:0:"";s:26:"time_limit_warning_2_style";s:0:"";s:12:"random_group";s:0:"";s:17:"question_template";s:4:"core";s:8:"readonly";s:0:"";s:12:"autoComplete";i:0;s:19:"autoCompleteCsvFile";s:0:"";s:21:"autoCompleteOneColumn";i:1;s:18:"autoCompleteFilter";s:0:"";s:19:"autoCompleteMinChar";i:1;s:29:"autoCompleteRemoveSpecialChar";i:1;s:22:"autoCompleteAsDropdown";i:1;s:26:"autoCompleteShowDefaultTip";i:0;}i:6142;a:40:{s:9:"alphasort";i:0;s:12:"array_filter";s:0:"";s:20:"array_filter_exclude";s:0:"";s:18:"array_filter_style";i:0;s:15:"display_columns";s:0:"";s:15:"em_validation_q";s:0:"";s:19:"em_validation_q_tip";s:0:"";s:20:"statistics_showgraph";i:1;s:20:"statistics_graphtype";i:0;s:8:"hide_tip";i:0;s:6:"hidden";i:0;s:8:"cssclass";s:0:"";s:23:"other_comment_mandatory";i:0;s:18:"other_numbers_only";i:0;s:18:"other_replace_text";s:0:"";s:10:"page_break";i:0;s:14:"printable_help";s:0:"";s:17:"public_statistics";i:0;s:12:"random_order";i:0;s:12:"scale_export";i:0;s:10:"time_limit";s:0:"";s:17:"time_limit_action";i:1;s:23:"time_limit_disable_next";i:0;s:23:"time_limit_disable_prev";i:0;s:28:"time_limit_countdown_message";s:0:"";s:22:"time_limit_timer_style";s:0:"";s:24:"time_limit_message_delay";s:0:"";s:18:"time_limit_message";s:0:"";s:24:"time_limit_message_style";s:0:"";s:18:"time_limit_warning";s:0:"";s:31:"time_limit_warning_display_time";s:0:"";s:26:"time_limit_warning_message";s:0:"";s:24:"time_limit_warning_style";s:0:"";s:20:"time_limit_warning_2";s:0:"";s:33:"time_limit_warning_2_display_time";s:0:"";s:28:"time_limit_warning_2_message";s:0:"";s:26:"time_limit_warning_2_style";s:0:"";s:12:"random_group";s:0:"";s:17:"question_template";s:4:"core";s:8:"readonly";s:0:"";}i:6143;a:38:{s:9:"alphasort";i:0;s:18:"category_separator";s:0:"";s:15:"em_validation_q";s:0:"";s:19:"em_validation_q_tip";s:0:"";s:20:"statistics_showgraph";i:1;s:20:"statistics_graphtype";i:0;s:8:"hide_tip";i:0;s:6:"hidden";i:0;s:8:"cssclass";s:0:"";s:23:"other_comment_mandatory";i:0;s:18:"other_replace_text";s:0:"";s:10:"page_break";i:0;s:14:"printable_help";s:0:"";s:17:"public_statistics";i:0;s:12:"random_order";i:0;s:13:"dropdown_size";s:0:"";s:15:"dropdown_prefix";i:0;s:12:"scale_export";i:0;s:10:"time_limit";s:0:"";s:17:"time_limit_action";i:1;s:23:"time_limit_disable_next";i:0;s:23:"time_limit_disable_prev";i:0;s:28:"time_limit_countdown_message";s:0:"";s:22:"time_limit_timer_style";s:0:"";s:24:"time_limit_message_delay";s:0:"";s:18:"time_limit_message";s:0:"";s:24:"time_limit_message_style";s:0:"";s:18:"time_limit_warning";s:0:"";s:31:"time_limit_warning_display_time";s:0:"";s:26:"time_limit_warning_message";s:0:"";s:24:"time_limit_warning_style";s:0:"";s:20:"time_limit_warning_2";s:0:"";s:33:"time_limit_warning_2_display_time";s:0:"";s:28:"time_limit_warning_2_message";s:0:"";s:26:"time_limit_warning_2_style";s:0:"";s:12:"random_group";s:0:"";s:17:"question_template";s:4:"core";s:8:"readonly";s:0:"";}i:6144;a:10:{s:8:"equation";s:40:"{ShortText.shown} - {SingleChoice.shown}";s:20:"statistics_showgraph";i:1;s:20:"statistics_graphtype";i:0;s:6:"hidden";s:1:"1";s:8:"cssclass";s:0:"";s:12:"numbers_only";i:0;s:10:"page_break";i:0;s:14:"printable_help";s:0:"";s:17:"public_statistics";i:0;s:12:"scale_export";i:0;}i:6145;a:56:{s:12:"display_rows";s:0:"";s:15:"em_validation_q";s:0:"";s:19:"em_validation_q_tip";s:0:"";s:16:"em_validation_sq";s:0:"";s:20:"em_validation_sq_tip";s:0:"";s:13:"location_city";i:0;s:14:"location_state";i:0;s:15:"location_postal";i:0;s:16:"location_country";i:0;s:18:"statistics_showmap";i:1;s:20:"statistics_showgraph";i:1;s:20:"statistics_graphtype";i:0;s:19:"location_mapservice";i:0;s:17:"location_mapwidth";s:3:"500";s:18:"location_mapheight";s:3:"300";s:24:"location_nodefaultfromip";i:0;s:27:"location_defaultcoordinates";s:0:"";s:16:"location_mapzoom";s:2:"11";s:8:"hide_tip";i:0;s:6:"hidden";s:1:"1";s:8:"cssclass";s:0:"";s:13:"maximum_chars";s:0:"";s:12:"numbers_only";i:0;s:10:"input_size";s:0:"";s:10:"page_break";i:0;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:16:"text_input_width";s:0:"";s:10:"time_limit";s:0:"";s:17:"time_limit_action";i:1;s:23:"time_limit_disable_next";i:0;s:23:"time_limit_disable_prev";i:0;s:28:"time_limit_countdown_message";s:0:"";s:22:"time_limit_timer_style";s:0:"";s:24:"time_limit_message_delay";s:0:"";s:18:"time_limit_message";s:0:"";s:24:"time_limit_message_style";s:0:"";s:18:"time_limit_warning";s:0:"";s:31:"time_limit_warning_display_time";s:0:"";s:26:"time_limit_warning_message";s:0:"";s:24:"time_limit_warning_style";s:0:"";s:20:"time_limit_warning_2";s:0:"";s:33:"time_limit_warning_2_display_time";s:0:"";s:28:"time_limit_warning_2_message";s:0:"";s:26:"time_limit_warning_2_style";s:0:"";s:12:"random_group";s:0:"";s:17:"question_template";s:4:"core";s:8:"readonly";s:0:"";s:12:"autoComplete";i:0;s:19:"autoCompleteCsvFile";s:0:"";s:21:"autoCompleteOneColumn";i:1;s:18:"autoCompleteFilter";s:0:"";s:19:"autoCompleteMinChar";i:1;s:29:"autoCompleteRemoveSpecialChar";i:1;s:22:"autoCompleteAsDropdown";i:1;s:26:"autoCompleteShowDefaultTip";i:0;}}s:34:"LimeExpressionManagersubQrelInfo";a:0:{}s:31:"LimeExpressionManagergRelInfo";a:1:{i:0;a:7:{s:4:"gseq";i:0;s:3:"eqn";s:0:"";s:6:"result";i:1;s:9:"numJsVars";i:0;s:11:"relevancejs";s:0:"";s:13:"relevanceVars";s:0:"";s:11:"prettyprint";s:0:"";}}s:37:"LimeExpressionManagerruntimeTimings";a:0:{}s:34:"LimeExpressionManagerinitialized";b:0;s:41:"LimeExpressionManagerprocessedRelevance";b:1;s:37:"LimeExpressionManagerdebugTimingMsg";s:0:"";s:39:"LimeExpressionManagerParseResultCache";a:0:{}s:40:"LimeExpressionManagermultiflexiAnswers";a:0:{}s:33:"LimeExpressionManagersgqaNaming";b:1;s:32:"LimeExpressionManagernumGroups";i:1;s:35:"LimeExpressionManagernumQuestions";i:5;s:29:"LimeExpressionManagersessid";s:13:"survey_922698";s:47:"LimeExpressionManagerqrootVarName2arrayFilter";a:0:{}s:40:"LimeExpressionManagerqid2exclusiveAuto";a:0:{}s:42:"LimeExpressionManagerinvalidAnswerString";a:0:{}s:36:"LimeExpressionManagerupdatedValues";a:1:{s:15:"922698X458X6144";a:2:{s:4:"type";s:1:"*";s:5:"value";s:1:"-";}}}";
thedataOfSession.txt (74,864 bytes)
DenisChenu

DenisChenu

2019-04-16 01:05

developer   ~51474

https://github.com/LimeSurvey/LimeSurvey/pull/1265/commits/d0093f1a01c22c301cb80cff21e7f9d8e6e7adda
in
https://github.com/LimeSurvey/LimeSurvey/pull/1265

DenisChenu

DenisChenu

2019-04-27 07:41

developer   ~51605

https://github.com/LimeSurvey/LimeSurvey/commit/1a28a4639865647c8756d9b07c740be4e9df35f1

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51665

Fixed in Version 3.1.7.3

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52199

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28972

Related Changesets

LimeSurvey: master d0093f1a

2019-04-15 18:29:17

DenisChenu

Details Diff
Fixed issue 14700: DbHttpSession brok (mariadb) with data too long
Dev: we already added longbinary in Schema : use it.
Affected Issues
14700
mod - application/config/version.php Diff File
mod - application/core/db/MssqlSchema.php Diff File
mod - application/core/db/PgsqlSchema.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - installer/create-database.php Diff File

LimeSurvey: master 1a28a463

2019-04-26 17:02:11

SondagesPro


Committer: GitHub Details Diff
Fixed issue 14700: DbHttpSession broke (mariadb) with data too long

Fixed issue 13950: (MS)SQL Error when saving getting a session token via API
Dev: update data transparently (reset after allow usage after)
Dev: usage of iSessionExpirationTime
Affected Issues
13950, 14700
mod - application/config/version.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/core/db/MssqlSchema.php Diff File
mod - application/core/db/PgsqlSchema.php Diff File
mod - application/core/web/DbHttpSession.php Diff File
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - application/models/Session.php Diff File
mod - installer/create-database.php Diff File

Issue History

Date Modified Username Field Change
2019-03-28 10:11 DenisChenu New Issue
2019-03-28 10:11 DenisChenu File Added: Question inside survey inside.html
2019-03-28 10:11 DenisChenu File Added: Capture d’écran du 2019-03-28 10-09-18.png
2019-03-28 10:11 DenisChenu File Added: survey_archive_922698.lsa
2019-03-28 10:11 DenisChenu File Added: lime_sessions.sql
2019-03-28 10:12 DenisChenu Description Updated View Revisions
2019-03-28 10:12 DenisChenu Severity minor => major
2019-03-28 10:19 DenisChenu File Added: thedataOfSession.txt
2019-03-28 10:19 DenisChenu Note Added: 51181
2019-03-28 10:20 DenisChenu Note Edited: 51181 View Revisions
2019-04-15 19:24 DenisChenu Assigned To => DenisChenu
2019-04-15 19:24 DenisChenu Status new => assigned
2019-04-16 01:05 DenisChenu Note Added: 51474
2019-04-27 07:41 DenisChenu Status assigned => resolved
2019-04-27 07:41 DenisChenu Resolution open => fixed
2019-04-27 07:41 DenisChenu Fixed in Version => 3.17.x
2019-04-27 07:41 DenisChenu Note Added: 51605
2019-04-30 09:12 c_schmitz Note Added: 51665
2019-04-30 09:12 c_schmitz Status resolved => closed
2019-05-29 16:12 SondagesPro Changeset attached => LimeSurvey master 1a28a463
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master d0093f1a
2019-05-29 16:12 DenisChenu Note Added: 52199